Subject: Re: bug#47615: [PATCH 1/9] gnu: bootstrap: Add support for powerpc-linux.

From: Chris Marusich <[email-masked]>
Date: Tue, 13 Apr 2021 20:51:09 -0700

Efraim Flashner <[email-masked]> writes:

> On 923bb70a1bff657125c3008f119a477e5cb57c2b
>    gnu:glibc-for-bootstrap: Fix patch.
>
> Run
>     ./pre-inst-env guix build --target=powerpc-linux-gnu bootstrap-tarballs
>
> Producing
>
>     /gnu/store/dyj1wvayyp1ihaknkxniz1xamcf4yrhl-bootstrap-tarballs-0
>
> With guix hash -rx /gnu/store/dyj1wvayyp1ihaknkxniz1xamcf4yrhl-bootstrap-tarballs-0
>
>     02xx2ydj28pwv3vflqffinpq1icj09gzi9icm8j4bwc4lca9irxn

Generally speaking, this patch looks fine to me.  Just curious, what
sort of machines does one use for 32-bit powerpc?

I want to build the bootstrap binaries, see if they're reproducible (in
particular GCC, which I suspect won't be), and verify the hashes.

It might take a few days to do that, but I'll update this thread once
I've done it.

> @@ -139,6 +148,7 @@
>    ;; This is where the bootstrap executables come from.
>    '("https://git.savannah.gnu.org/cgit/guix.git/plain/gnu/packages/bootstrap/"
>      "https://alpha.gnu.org/gnu/guix/bootstrap/"
> +    "http://flashner.co.il/guix/bootstrap/"
>      "http://lilypond.org/janneke/guix/"))

Once you're reasonably sure the bootstrap binaries won't change, we
should consider uploading them to alpha.gnu.org.  Ludo did it for me for
powerpc64le-linux but I don't know who has access (I don't).

>  (define %hurd-systems
>    ;; The GNU/Hurd systems for which support is being developed.
> @@ -361,7 +361,7 @@ name of its URI."
>    ;;
>    ;; XXX: MIPS is unavailable in CI:
>    ;; <https://lists.gnu.org/archive/html/guix-devel/2017-03/msg00790.html>.
> -  (fold delete %supported-systems '("mips64el-linux")))
> +  (fold delete %supported-systems '("mips64el-linux" "powerpc-linux")))

Any ideas for how we can get a machine for powerpc CI?  Maybe VMs, I
guess?  Can a POWER9 machine be a powerpc-linux machine...?

-- 
Chris